{ pkgs, ... }: {
  imports = [
    ./greetd
  ];

  programs.sway = {
    enable = true;
    xwayland.enable = true;
    extraPackages = with pkgs; [
      swaylock
      swaybg
    ];
  };

  # Allow swaylock to function
  security.pam.services.swaylock = {};

  # Enable desktop portals for screengrab
  xdg.portal = {
    wlr = {
      enable = true;
      settings.screencast = {
        max_fps = 60;
        chooser_type = "simple";
        chooser_cmd = "${pkgs.slurp}/bin/slurp -f %o -or -B 00000066 -b 00000099";
      };
    };
    extraPortals = with pkgs; [
      xdg-desktop-portal-gtk
    ];
  };
}
